org.eclipse.cdt.core.dom.ast

## Enum IBasicType.Kind

- java.lang.Object
- - java.lang.Enum<IBasicType.Kind>
  - - org.eclipse.cdt.core.dom.ast.IBasicType.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IBasicType.Kind>

Enclosing interface:
  IBasicType

    public static enum IBasicType.Kind
    extends java.lang.Enum<IBasicType.Kind>

Since:
  5.2

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`eBoolean`
`eChar`
`eChar16`
`eChar32`
`eDecimal128`
`eDecimal32`
`eDecimal64`
`eDouble`
`eFloat`
`eFloat128`
`eInt`
`eInt128`
`eNullPtr`
`eUnspecified`
`eVoid`
`eWChar`

### Method Summary

All Methods Static Methods Concrete Methods
`static IBasicType.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IBasicType.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### eUnspecified

    public static final IBasicType.Kind eUnspecified

#### eVoid

    public static final IBasicType.Kind eVoid

#### eChar

    public static final IBasicType.Kind eChar

#### eWChar

    public static final IBasicType.Kind eWChar

#### eInt

    public static final IBasicType.Kind eInt

#### eFloat

    public static final IBasicType.Kind eFloat

#### eDouble

    public static final IBasicType.Kind eDouble

#### eBoolean

    public static final IBasicType.Kind eBoolean

#### eChar16

    public static final IBasicType.Kind eChar16

#### eChar32

    public static final IBasicType.Kind eChar32

#### eNullPtr

    public static final IBasicType.Kind eNullPtr

Since:
  5.4

#### eInt128

    public static final IBasicType.Kind eInt128

Since:
  5.5

#### eFloat128

    public static final IBasicType.Kind eFloat128

Since:
  5.5

#### eDecimal32

    public static final IBasicType.Kind eDecimal32

Since:
  5.10

#### eDecimal64

    public static final IBasicType.Kind eDecimal64

Since:
  5.10

#### eDecimal128

    public static final IBasicType.Kind eDecimal128

Since:
  5.10

### Method Detail

#### values

    public static IBasicType.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IBasicType.Kind c : IBasicType.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IBasicType.Kind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null